<@pp.changeOutputFile name="test/dao/oracle/Makefile.am"/>
#
#  Copyright (c) Members of the EGEE Collaboration. 2004.
#  See http://www.eu-egee.org/partners/ for details on the copyright
#  holders.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
#  Authors: Paolo Badino <paolo.badino@cern.ch>
#  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
#  Version info: $Id: test_dao_oracle_Makefile.ftl,v 1.1 2010/02/09 14:31:01 molnarzs Exp $
#  Release: $Name:  $  

testbindir = $(datadir)/test/$(PACKAGE)/bin
# Test Applications
#####################################################
testbin_PROGRAMS = glite_data_agents_common_test_dao_oracle

# Test DAO
glite_data_agents_common_test_dao_oracle_SOURCES = \
    testSuite.cpp \
    DaoHelper.cpp \
<#list oracle_dao_tests as tests>
    ${tests.name}.cpp \
</#list>
    TestDaoOracle.cpp

glite_data_agents_common_test_dao_oracle_LDADD   = \
    $(top_builddir)/src/libglite_data_agents_common.la \
    $(top_builddir)/src/dao/libglite_data_agents_common_dao.la \
    $(top_builddir)/src/dao/oracle/libglite_data_agents_common_dao_oracle.la \
    $(GLITE_LDFLAGS) -lglite_data_config\
    $(ORACLE_OCCI_LIBS) \
    $(LOG4CPP_LIBS)  \
    $(CPPUNIT_LIBS)

AM_CPPFLAGS = -I$(top_srcdir)/interface \
    -I$(top_srcdir)/test \
    -I$(top_srcdir)/src/dao/oracle \
	$(GLITE_CFLAGS) \
	$(ORACLE_CFLAGS) \
    $(BOOST_CFLAGS) \
    $(LOG4CPP_CFLAGS) \
    $(CPPUNIT_CFLAGS)
    
check:
	@echo "For unittest, please use the &quot;test-all&quot; ant target. Details are specified on the doc/TEST document"

.PHONY: check 

MAINTAINERCLEANFILES = Makefile.in
