/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Authors:  Zsolt.Molnar <zsolt.molnar@cern.ch>
 *  
 *  Version info: $Id: TestSeModel.cpp,v 1.1 2010/02/09 14:31:02 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#include "TestSeModel.h"
#include "glite/data/agents/model/Se.h"

namespace glite   {
namespace data    {
namespace agents  {
namespace dao     {
namespace oracle  {

void TestSeModel::setUp()
{
    // EMPTY
} 

void TestSeModel::tearDown()
{
    // EMPTY
} 

void TestSeModel::testModel()
{
    model::Se model("endpoint", "se_type", "site", "name", "state", "version", "host");
 
    CPPUNIT_ASSERT_EQUAL(std::string("endpoint"), model.endpoint.data());  
    CPPUNIT_ASSERT_EQUAL(std::string("se_type"), model.se_type.data());  
    CPPUNIT_ASSERT_EQUAL(std::string("site"), model.site.data());  
    CPPUNIT_ASSERT_EQUAL(std::string("name"), model.name.data());  
    CPPUNIT_ASSERT_EQUAL(std::string("state"), model.state.data());  
    CPPUNIT_ASSERT_EQUAL(std::string("version"), model.version.data());  
    CPPUNIT_ASSERT_EQUAL(std::string("host"), model.host.data());  
} 

} // End namespace oracle
} // End namespace dao
} // End namespace agenta
} // End namespace data
} // End namespace glite
