
  CREATE OR REPLACE PACKAGE "DUMMY_PACKAGE" AS

  /* TODO enter package declarations (types, exceptions, methods etc) here */
  FUNCTION PACKAGE_DUMMY_DATA(
    p_dummy_name IN t_test_dao_dummy.name%TYPE,
    p_dummy_key IN t_test_dao_dummy_data.data_key%TYPE)
    RETURN t_test_dao_dummy_data.data_value%TYPE;

END DUMMY_PACKAGE;
/
CREATE OR REPLACE PACKAGE BODY "DUMMY_PACKAGE" AS

  FUNCTION PACKAGE_DUMMY_DATA(
    p_dummy_name IN t_test_dao_dummy.name%TYPE,
    p_dummy_key IN t_test_dao_dummy_data.data_key%TYPE)
    RETURN t_test_dao_dummy_data.data_value%TYPE AS
    l_value t_test_dao_dummy_data.data_value%TYPE;
    l_id t_test_dao_dummy.dummy_id%TYPE;
  BEGIN
    --call dbms_output.enable();
    DBMS_OUTPUT.PUT_LINE('[DUMMY_PACKAGE] get_dummy_data : p_dummy_name = ' || p_dummy_name || ' p_dummy_key = ' || p_dummy_key);
  
    SELECT dummy_id INTO l_id
      FROM t_test_dao_dummy
      WHERE name = p_dummy_name;
    DBMS_OUTPUT.PUT_LINE('[DUMMY_PACKAGE] get_dummy_data : l_id = ' || l_id);
  
    SELECT data_value INTO l_value
      FROM t_test_dao_dummy_data
      WHERE dummy_id = l_id
        AND data_key = p_dummy_key;
    DBMS_OUTPUT.PUT_LINE('[DUMMY_PACKAGE] get_dummy_data : l_value = ' || l_value);
    --call dbms_output.disable();
    RETURN l_value;
  EXCEPTION
    WHEN NO_DATA_FOUND THEN
      DBMS_OUTPUT.PUT_LINE('[DUMMY_PACKAGE] error: no data found');
      return NULL;
    WHEN OTHERS THEN
      DBMS_OUTPUT.PUT_LINE('[DUMMY_PACKAGE] unexpected error');
      return NULL;
  END PACKAGE_DUMMY_DATA;

END DUMMY_PACKAGE;
/
 
