#!/bin/bash
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#------------------------------------------------------------------------------
# test-agents-common-extra.sh
#------------------------------------------------------------------------------

# DEPENDS: init_unit_test
test_extra_install__DEPENDS="init_unit_test"
function test_extra_install(){
    # copy services.xml (SD) and patterns.xml (XmlPatternsList) to the test directory
    cp "${MODULE_DIR}/test/extra/etc/services.xml" "${MODULE_TEST_DIR}/etc"
    cp "${MODULE_DIR}/test/extra/etc/patterns.xml" "${MODULE_TEST_DIR}/etc"
    # create template for unit tests
    local TEST_NAME="glite-agents-common-test-extra"
    local DESTFILE="${MODULE_TEST_DIR}/etc/${TEST_NAME}.config.xml"
    local CONFIG_TEMPLATE="${MODULE_CONFIG_TEMPLATES}/agents-sd.config-template.xml"
    create_config_xml "glite-agents-common-test-extra" "${DESTFILE}" "${CONFIG_TEMPLATE}"
    # run the config generator
    config_generator -f ${DESTFILE} \
        -o ${MODULE_TEST_DIR}/etc/${TEST_NAME}.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/${TEST_NAME}.log-properties \
        -O log.fileName=${MODULE_TEST_NAME}/var/log/agents-common-test-extra.log \
        -O log.Priority=DEBUG
}

# DEPENDS; test_extra_install
test_extra__DEPENDS="test_extra_install"
function test_extra(){
    local TEST_EXE="${MODULE_TEST_DIR}/bin/glite_data_agents_common_test_extra"
    local WORK_DIR="${MODULE_TEST_DIR}/bin"
    (cd ${WORK_DIR} && env GLITE_LOCATION="${MODULE_TEST_DIR}" ${TEST_EXE} \
        -l ${MODULE_TEST_DIR} -s)
    return ${?}
}
