#!/bin/bash
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#-------------------------------------------------------------------------------
# agents-common.python.sh
#-------------------------------------------------------------------------------

# Install Python UnitTest Data
TEST_PYTHON_PACKAGES_DIR=""
test_python_install__DEPENDS="init_unit_test"
function test_python_install(){
    cp ${MODULE_DIR}/test/python/etc/services.xml ${MODULE_TEST_DIR}/etc
    TEST_PYTHON_PACKAGES_DIR=`python -c "from distutils import sysconfig; print sysconfig.get_python_lib(1,0,prefix='${GLITE_LOCATION}')"`
    info "TEST_PYTHON_PACKAGES_DIR = ${TEST_PYTHON_PACKAGES_DIR}"
    # copy python test
    cp ${MODULE_DIR}/test/python/scripts/test_python.py ${MODULE_TEST_DIR}/bin
    # create template for the unit test
    create_config_xml "glite-agents-common-test-python" ${MODULE_TEST_DIR}/etc/glite-agents-common-test-python.config.xml \
        ${MODULE_CONFIG_TEMPLATES}/agents-sd.config-template.xml \
        ${MODULE_CONFIG_TEMPLATES}/agents-cred-myproxy.config-template.xml \
        ${MODULE_CONFIG_TEMPLATES}/agents-python.config-template.xml
    # create unit test configuration
    config_generator -f ${MODULE_TEST_DIR}/etc/glite-agents-common-test-python.config.xml \
        -o ${MODULE_TEST_DIR}/etc/glite-agents-common-test-python.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/glite-agents-common-test-python.log-properties \
        -O agents-python.PythonPath=${TEST_PYTHON_PACKAGES_DIR}:${MODULE_TEST_DIR}/bin \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/agents-common-test-python.log \
        -O log.Priority=DEBUG
}

# Python unit test
test_python__DEPENDS="test_python_install"
function test_python(){
    local TEST_EXE="${MODULE_TEST_DIR}/bin/glite_data_agents_common_test_python"
    local WORK_DIR="${MODULE_TEST_DIR}/bin"
    (cd ${WORK_DIR} && env GLITE_LOCATION="${MODULE_TEST_DIR}" ${TEST_EXE} \
        -l "${MODULE_TEST_DIR}" -s -m "${MYPROXY_SERVER}" \
        -d "${MYPROXY_USER_DN}" -p "${MYPROXY_USER_PASSPHRASE}")
    return ${?}
}
