#!/bin/bash
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

test_19357_myproxy_install__DEPENDS="init_unit_test"
function test_19357_myproxy_install(){
    # Create Template for the UnitTest
    create_config_xml "glite-agents-common-test-regression-19357-myproxy" "${MODULE_TEST_DIR}/etc/glite-agents-common-test-regression-19357-myproxy.config.xml" \
        "${MODULE_CONFIG_TEMPLATES}/agents-sd.config-template.xml" \
        "${MODULE_CONFIG_TEMPLATES}/agents-cred-myproxy.config-template.xml" 
    # Create UnitTest configuration
    config_generator -f ${MODULE_TEST_DIR}/etc/glite-agents-common-test-regression-19357-myproxy.config.xml \
        -o ${MODULE_TEST_DIR}/etc/glite-agents-common-test-regression-19357-myproxy.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/glite-agents-common-test-regression-19357-myproxy.log-properties \
        -O agents-cred-myproxy.Server=${MYPROXY_SERVER} \
        -O agents-cred-myproxy.ProxyLifetime=300 \
        -O agents-cred-myproxy.MinValidityTime=0 \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/glite-agents-common-test-regression-19357-myproxy.log \
        -O log.Priority=DEBUG
    # Create services.xml
    cat > ${MODULE_TEST_DIR}/etc/services.xml << EOD
<services>
  <service name="MyProxy">
    <parameters>
      <endpoint>myproxy:${MYPROXY_SERVER}</endpoint>
      <type>MyProxy</type>
      <version>1.14</version>
    </parameters>
  </service>
</services>
EOD
}

# myproxy unit test

test_19357_myproxy__DEPENDS="test_19357_myproxy_install"
function test_19357_myproxy(){
    rm -rf /tmp/x509up_dn*
    local TEST_EXE="${MODULE_TEST_DIR}/bin/glite_data_agents_common_test_regressions_19357"
    local WORK_DIR="${MODULE_TEST_DIR}/bin"
    (cd ${WORK_DIR} && env ${TEST_EXE} -u ${MYPROXY_USER_DN} -l ${MODULE_TEST_DIR} -c glite-agents-common-test-regression-19357-myproxy -s)
    return ${?}
}

test_regressions_19357__DEPENDS="test_19357_myproxy"
function test_regressions_19357(){
    true
}
