#!/bin/bash
# Copyright (c) Members of the EGEE Collaboration. 2004.
# See http://www.eu-egee.org/partners/ for details on the copyright holders.
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#------------------------------------------------------------------------------
# test-agents-common-sd.sh
#------------------------------------------------------------------------------

# install the service discovery target
test_sd_install__DEPENDS="init_unit_test"
function test_sd_install(){
    # copy services.xml file
    cp "${MODULE_DIR}/test/sd/etc/services.xml" "${MODULE_TEST_DIR}/etc"
    # create template for unit tests
    local TEST_NAME="glite-agents-common-test-sd"
    local DESTFILE="${MODULE_TEST_DIR}/etc/${TEST_NAME}.config.xml"
    local CONFIG_TEMPLATE="${MODULE_CONFIG_TEMPLATES}/agents-sd.config-template.xml"
    create_config_xml "glite-agents-common-test-sd" "${DESTFILE}" "${CONFIG_TEMPLATE}"
    # run the config generator
    config_generator -f ${DESTFILE} \
        -o ${MODULE_TEST_DIR}/etc/${TEST_NAME}.properties.xml \
        -l ${MODULE_TEST_DIR}/etc/${TEST_NAME}.log-properties \
        -O log.fileName=${MODULE_TEST_DIR}/var/log/agents-common-test-sd.log \
        -O log.Priority=DEBUG

}

# test service discovery
test_sd__DEPENDS="test_sd_install"
function test_sd(){
    local TEST_EXE="${MODULE_TEST_DIR}/bin/glite_data_agents_common_test_sd"
    local WORK_DIR="${MODULE_TEST_DIR}/bin"
    (cd ${WORK_DIR} && GLITE_LOCATION="${MODULE_TEST_DIR}" ${TEST_EXE} \
        -l ${MODULE_TEST_DIR} -s)
    return ${?}
}
